Make aggregated MediaWiki Pingback data publicly available
Closed, ResolvedPublic

Description

Starting with MediaWiki 1.28, MW started doing opt-in data collection of basic statistics using the MediaWikiPingback schema. This data is going into EventLogging, but the data (at least in an aggregated form) should be made publicly available.

See also: https://www.mediawiki.org/wiki/Manual:$wgPingback

Asking help from analytics folks on how to make this happen since I have no idea how this is typically done.

Legoktm created this task.Dec 2 2016, 5:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2016, 5:57 PM
Kghbln awarded a token.Dec 2 2016, 5:59 PM
Nuria added a subscriber: Nuria.Dec 5 2016, 4:57 PM

Please take a look at reportupdater, https://wikitech.wikimedia.org/wiki/Analytics/Reportupdater

With this tool you can aggregate the data and put it on a public endpoint. Please ping us on #wikimedia-analytics

Nuria moved this task from Incoming to Radar on the Analytics board.Dec 5 2016, 4:57 PM
Ltrlg added a subscriber: Ltrlg.Aug 13 2017, 3:19 PM
abian added a subscriber: abian.Feb 11 2018, 1:24 AM

Change 415798 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[analytics/reportupdater-queries@master] Add ReportUpdater queries for MediaWiki pingback data.

https://gerrit.wikimedia.org/r/415798

CCicalese_WMF triaged this task as Normal priority.Mar 3 2018, 10:09 PM

Change 415798 merged by Milimetric:
[analytics/reportupdater-queries@master] Add ReportUpdater queries for MediaWiki pingback data.

https://gerrit.wikimedia.org/r/415798

CCicalese_WMF closed this task as Resolved.Mar 8 2018, 2:19 AM

Aggregated MediaWiki pingback data is now available at https://pingback.wmflabs.org.

Kghbln added a comment.Mar 8 2018, 7:44 AM

@CCicalese_WMF A great effort. Thanks a lot for tackling this!